name: CI

on: [push]

jobs:
  build-test:
    runs-on: ubuntu-latest

    steps:
      - name: Echo
        run: echo "Ref ${{ env.GITEA_SHA }}"

      - name: Checkout repo
        uses: actions/checkout@v5
      
      - name: Setup PHP
        uses: shivammathur/setup-php@v2 
        with:
          php-version: '8.4'

      - name: Install phing
        run: composer global require phing/phing

      - name: Run composer
        run: composer install --no-dev --no-scripts -o
  
      - name: Build tailwind
        run: APP_ENV=build php bin/console tailwind:build

      - name: Install frontend assets
        run: APP_ENV=build php bin/console importmap:install

      - name: Compile assets
        run: APP_ENV=build php bin/console asset-map:compile

      - name: Upload artifact
        uses: actions/upload-artifact@v3
        with:
          name: artifact
          path: ./
